Module | Chef::ReservedNames::Win32::API
In: | lib/chef/win32/api/process.rb lib/chef/win32/api/psapi.rb lib/chef/win32/api/security.rb lib/chef/win32/api/unicode.rb lib/chef/win32/api/error.rb lib/chef/win32/api/system.rb lib/chef/win32/api/memory.rb lib/chef/win32/api/file.rb lib/chef/win32/api.rb

### Methods

extended make_uint64 safe_attach_function wtime_to_time

### Classes and Modules

Module Chef::ReservedNames::Win32::API::Error
Module Chef::ReservedNames::Win32::API::File
Module Chef::ReservedNames::Win32::API::Macros
Module Chef::ReservedNames::Win32::API::Memory
Module Chef::ReservedNames::Win32::API::PSAPI
Module Chef::ReservedNames::Win32::API::Process
Module Chef::ReservedNames::Win32::API::Security
Module Chef::ReservedNames::Win32::API::System
Module Chef::ReservedNames::Win32::API::Unicode

### Constants

WIN32_EPOC_MINUS_POSIX_EPOC | = | 116444736000000000 |  | blogs.msdn.com/b/oldnewthing/archive/2009/03/06/9461176.aspx January 1, 1601

### Public Class methods

extended(host)

put shared stuff (like constants) for all raw Win32 API calls

### Public Instance methods

make_uint64(low, high)

Represents a 64-bit unsigned integer value.

msdn.microsoft.com/en-us/library/windows/desktop/aa383742(v=vs.85).aspx

safe_attach_function(win32_func, *args)

Attempts to use FFI‘s attach_function method to link a native Win32 function into the calling module. If this fails a dummy method is defined which when called, raises a helpful exception to the end-user.

wtime_to_time(wtime)

Convert 64-bit FILETIME integer into Time object.

FILETIME structure contains a 64-bit value representing the number of 100-nanosecond intervals since January 1, 1601 (UTC).

msdn.microsoft.com/en-us/library/ms724284(VS.85).aspx

[Validate]